List Webhooks
get
/public/v1/webhookspage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of WebhookResource
dataobject[]required▶Show 8 child attributesHide child attributes
idstringrequiredExample:w1e2b3h4-o5o6-47k8-9b0c-1d2e3f4a5b6cdescriptionstringrequiredExample:Participant syncurlstringrequiredExample:https://example.com/webhooks/astaltyis_enabledbooleanrequiredExample:trueevent_typesstring[]requiredsigning_secretstringrequiredExample:6XmDkuNTiTGCxYUFtVvxDbxqAoJTNjkQKDBGqSmChHtCXtBVrGUVJHDDkHkPWmYdarchived_atstring | nullrequiredExample:2025-01-01T00:00:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error